/*
        Summary: isblank.c
        *implementation of the libc isblank call*
        
        manually added to pdclib

        Author:
            Marcel Sondaar

        Licence:
            Public Domain
*/

#include <ctype.h>
#include <stdbool.h>

/* Function: isblank
   Returns nonzero when c is a blank (either space or tab) */

int isblank(int c)
{
    if(c == ' ') return(true);
    if(c == '\t') return(true);
    return(false);
}
