/*
        Summary: iscntrl.c
        *implementation of the libc iscntrl call*
        
        manually added to pdclib

        Author:
            Marcel Sondaar

        Licence:
            Public Domain
*/

#include <ctype.h>
#include <stdbool.h>

/* Function: iscntrl
   Returns nonzero when c is a control character */

int iscntrl(int c)
{
    if(c > 32) return(false);
    if(isspace(c)) return(false);

    return(true);
}
