/*
        Summary: isdigit.c
        *implementation of the libc isdigit call*
        
        manually added to pdclib

        Author:
            Marcel Sondaar

        Licence:
            Public Domain
*/

#include <ctype.h>
#include <stdbool.h>

/* Function: isdigit
   Returns nonzero when c is a decimal digit (number) */

int isdigit(int c)
{
    if (c >= '0' && c <= '9') return(true);
    return(false);
}
