/*
        Summary: isspace.c
        *implementation of the libc isspace call*
        
        manually added to pdclib

        Author:
            Marcel Sondaar

        Licence:
            Public Domain
*/

#include <stdbool.h>
#include <ctype.h>

/* Function: isspace
   Returns nonzero when c is a whitespace character */

int isspace(int c)
{
    if(c == ' ') return(true);
    if(c == '\n') return(true);
    if(c == '\r') return(true);
    if(c == '\t') return(true);
    if(c == '\f') return(true);
    if(c == '\v') return(true);
    return(false);
}
