/*
        Summary: isalnum.c
        *implementation of the libc isalnum call*
        
        manually added to pdclib

        Author:
            Marcel Sondaar

        Licence:
            Public Domain
*/

#include <ctype.h>
#include <stdbool.h>

/* Function: isalnum
   Returns nonzero when c is either a character or a number */

int isalnum(int c)
{
    if(isalpha(c)) return(true);
    if(isdigit(c)) return(true);
    return(false);
}
